{% comment %}
This file is licensed under the MIT License (MIT) available on
http://opensource.org/licenses/MIT.
{% endcomment %}
{% assign filename="_includes/devdoc/dash-core/rpcs/rpcs/verifytxoutproof.md" %}

##### VerifyTxOutProof
{% include helpers/subhead-links.md %}

{% assign summary_verifyTxOutProof="verifies that a proof points to one or more transactions in a block, returning the transactions the proof commits to and throwing an RPC error if the block is not in our best block chain." %}

{% autocrossref %}

The `verifytxoutproof` RPC {{summary_verifyTxOutProof}}

*Parameter #1---The hex-encoded proof generated by gettxoutproof*

{% itemplate ntpd1 %}
- n: "`proof`"
  t: "string"
  p: "Required"
  d: "A hex-encoded proof"

{% enditemplate %}

*Result---txid(s) which the proof commits to*

{% itemplate ntpd1 %}
- n: "`result`"
  t: "string"
  p: "Required<br>(exactly 1)"
  d: "The txid(s) which the proof commits to, or empty array if the proof is invalid"

{% enditemplate %}

*Example from Dash Core 0.12.2*

Verify a proof:

{% highlight bash %}
dash-cli verifytxoutproof \
01000020ed72cc6a7294782a7711d8fa7ef74716ef062dc50bb0820f7eec923801000000\
aa5d17c5128043803b67c7ab03e4d3ffbc9604b54f877f1c5cf9ed3adeaa19b2cd7ed659\
f838011d10a70a480200000002033c89c2baecba9fc983c85dcf365c2d9cc93aca1dee2e\
5ac18124464056542e8faab0c579e651e9438c2904df5a498bc37a37acd528a251386fde\
f0476ba0e00105
{% endhighlight %}

Result:

{% highlight json %}
[
"e0a06b47f0de6f3851a228d5ac377ac38b495adf04298c43e951e679c5b0aa8f"
]
{% endhighlight %}

*See also*

* [GetTxOutProof][rpc gettxoutproof]: {{summary_getTxOutProof}}
* [`merkleblock` message][merkleblock message]: A description of the
  format used for the proof.

{% endautocrossref %}
